com.thinkaurelius.titan.graphdb.database.serialize

## Interface DataOutput

- All Superinterfaces:
    WriteBuffer

      public interface DataOutput
      extends WriteBuffer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataOutput` | `putByte(byte val)`
    `DataOutput` | `putBytes(byte[] val)`
    `DataOutput` | `putBytes(StaticBuffer val)`
    `DataOutput` | `putChar(char val)`
    `DataOutput` | `putDouble(double val)`
    `DataOutput` | `putFloat(float val)`
    `DataOutput` | `putInt(int val)`
    `DataOutput` | `putLong(long val)`
    `DataOutput` | `putShort(short val)`
    `DataOutput` | `writeClassAndObject(Object object)`
    `DataOutput` | `writeObject(Object object, Class<?> type)`
    `DataOutput` | `writeObjectByteOrder(Object object, Class<?> type)`
    `DataOutput` | `writeObjectNotNull(Object object)`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.WriteBuffer

      `getPosition, getStaticBuffer, getStaticBufferFlipBytes, putBoolean`

- - ### Method Detail

    - #### putLong

          DataOutput putLong(long val)

      Specified by:
        `putLong` in interface `WriteBuffer`

    - #### putInt

          DataOutput putInt(int val)

      Specified by:
        `putInt` in interface `WriteBuffer`

    - #### putShort

          DataOutput putShort(short val)

      Specified by:
        `putShort` in interface `WriteBuffer`

    - #### putByte

          DataOutput putByte(byte val)

      Specified by:
        `putByte` in interface `WriteBuffer`

    - #### putBytes

          DataOutput putBytes(byte[] val)

      Specified by:
        `putBytes` in interface `WriteBuffer`

    - #### putBytes

          DataOutput putBytes(StaticBuffer val)

      Specified by:
        `putBytes` in interface `WriteBuffer`

    - #### putChar

          DataOutput putChar(char val)

      Specified by:
        `putChar` in interface `WriteBuffer`

    - #### putFloat

          DataOutput putFloat(float val)

      Specified by:
        `putFloat` in interface `WriteBuffer`

    - #### putDouble

          DataOutput putDouble(double val)

      Specified by:
        `putDouble` in interface `WriteBuffer`

    - #### writeObject

          DataOutput writeObject(Object object,
                               Class<?> type)

    - #### writeObjectByteOrder

          DataOutput writeObjectByteOrder(Object object,
                                        Class<?> type)

    - #### writeObjectNotNull

          DataOutput writeObjectNotNull(Object object)

    - #### writeClassAndObject

          DataOutput writeClassAndObject(Object object)

Copyright © 2012–2014. All rights reserved.